{
  description = "A very basic flake";

  inputs = {
    agenix.url = "github:ryantm/agenix";
    nixpkgs.url = "github:nixos/nixpkgs/nixos-25.11";
    nixpkgs-unstable.url = "github:nixos/nixpkgs/nixpkgs-unstable";
    nixos-hardware.url = "github:nixos/nixos-hardware/master";
    home-manager.url = "github:nix-community/home-manager/release-25.11";
    home-manager.inputs.nixpkgs.follows = "nixpkgs";
    nix-cachyos-kernel.url = "github:xddxdd/nix-cachyos-kernel/release";
    nix-cachyos-kernel.inputs.nixpkgs.follows = "nixpkgs"; 

    nix-citizen.url = "github:LovingMelody/nix-citizen";
  };

  outputs =
    { self, nixpkgs, home-manager, ... }@inputs: 
    {
      nixosConfigurations.desktop = nixpkgs.lib.nixosSystem {
        specialArgs = {inherit inputs;};
        #inherit system;
        modules = [
          ./config/common.nix
          ./config/desktop.nix
          ./hosts/desktop/hardware.nix
          ./hosts/desktop/settings.nix
          home-manager.nixosModules.home-manager
          {
            home-manager.useGlobalPkgs = true;
            home-manager.useUserPackages = true;
            home-manager.users.admin = {
              imports = [
                ./home/common.nix
                ./home/desktop.nix
              ];
            };
          }
        ];
      };

      # nixosConfigurations.nixos-server = nixpkgs.lib.nixosSystem {
      #   #specialArgs = {inherit inputs;};
      #   inherit system;
      #   modules = [
      #     ./config/common.nix
      #     ./hosts/server/hardware.nix
      #     ./hosts/server/settings.nix
      #     {
      #       environment.systemPackages = [ agenix.packages.x86_64-linux.default ];
      #     }
      #     home-manager.nixosModules.home-manager
      #     {
      #       home-manager.useGlobalPkgs = true;
      #       home-manager.useUserPackages = true;
      #       home-manager.users.admin = {
      #         imports = [
      #           ./home/common.nix
      #           ./home/podman.nix
      #           agenix.homeManagerModules.default
      #         ];
      #       };
      #     }
      #   ];
      # };

    };
}
